# IRRBB Data Model Project

Interest rate risk in the banking book (IRRBB) refers to the current or prospective risk to the bank’s capital and earnings arising from adverse movements in interest rates that affect the bank’s banking book positions. When interest rates change, the present value and timing of future cash flows change. This in turn changes the underlying value of a bank’s assets, liabilities and off-balance sheet items and hence its economic value. Changes in interest rates also affect a bank’s earnings by altering interest rate-sensitive income and expenses, affecting its net interest income (NII). Excessive IRRBB can pose a significant threat to a bank’s current capital base and/or future earnings if not managed appropriately.

See pdf in docs directory.


## Running DQ checks on sample data

Run the following command:
```
alfa --dq --datafiles data/IRRBB_Postn_Examples.csv  --types acmebank.irrbb.landing.Position -o ./generated model 
```
